
/**
 * 添加快链
 */
function addQuicklink() {
    window.jsInterface.addQuicklink();
}

/**
 * 刷新快链区内容 
 */
function refreshQuicklink(content) {
    var quicklinkpart = document.getElementById("quicksection");
    quicklinkpart.innerHTML = content;
}

/**
 * 刷新导航内容
 */
function refreshNavgation(content) {
    var navpart = document.getElementById("navsection");
    navpart.innerHTML = content;
}

/**
 * 刷新广告内容
 */
function refreshAdvertisement(content) {
    var adpart = document.getElementById("adsection");
    adpart.innerHTML = content;
}

/**
 * 将当前链接的地址，id,，标题，是否是快链标识传到JAVA层
 * url 地址
 * id 如果是快链有ID，如果是普通链接id为空
 * isQuickLink true表示是快链，false表示不是快链
 */
function sendElementUrl(obj, isQuick) {
    var url = obj.href;//添加快链的url也为"".
    var id = obj.name;
    var title = obj.title;
    window.jsInterface.sendElementUrl(url, id, title, isQuick);
}

function sendElementUrlUnicom(obj, url) {
    var id = obj.name;
    var title = obj.title;
    window.jsInterface.sendElementUrl(url, id, title, true);
}

function openUrl(url){
    window.jsInterface.sendElementUrl(url, "", 2);
}

/**
 * 当在非快链和导航链接上长按时，传入空的数据到后台 
 */
function sendImgElementUrl() {
    var url = '';
    var id = '';
    var title = '';
    var isQuickLink = false;
    window.jsInterface.sendElementUrl(url, id, title, isQuickLink);
}

/**
 * 运营商版本，打开历史
 */
function openHistory() {
    window.jsInterface.openHistory();
}

/**
 * 运营商版本，打开书签
 */
function openBookMark() {
    window.jsInterface.openBookMark();
}

/**
 * 通用版本，按下快链时改变样式，加上蓝色边框
 */
function quickdown(obj) {
    var img = obj.children[0];
    img.className = "quick_down";
    window.setTimeout(function() {
        quickup(obj);
    }, 400);
}

/**
 * 通用版本，恢复样式,去掉蓝色边框
 */
function quickup(obj) {
    var img = obj.children[0];
    img.className = "quick_up";
}

/**
 * 运营商版本，按下快链时改变样式，加上蓝色边框
 */
function quickdown_unicom(obj) {
    var first = obj.children[0];
    first.className = "quick_down_unicom";
    var timeid = window.setTimeout(function() {
        quickup_unicom(obj);
        clearTimeout(timeid);
    }, 400);
}

/**
 * 运营商版本，恢复样式，去掉蓝色边框
 */
function quickup_unicom(obj) {
    var first = obj.children[0];
    first.className = "quick_up_unicom";
}


var isChangeColor = true;
var isMoved = false;// 触摸滑过导航栏时置为true.DTS2012101105778
var touchLi = null;// 当前触摸的li.for bug:同时触摸多个li时都变色
/**
 * 点击一个超链接后，改为链接文字颜色
 */
function changeColor(obj) {
    if(true == isChangeColor){
        var first = obj.children[0].children[0];
        first.style.color = "#A867CD";
    }
}

/**
 * 改变一级导航的样式
 */
function changeLiCss(obj){
    if (touchLi == null) {
        touchLi = obj;
        //DTS2012101203220 
        obj.classList.add("li_down");//.className = "li_down";
    }
    else{
        // 同时点击了其他li, 清除点击效果
        //DTS2012101203220 
        touchLi.classList.remove("li_down");//className = "li_up";
        touchLi = null;
    }
}
/**
 * 设置是否触摸并移动.DTS2012101105778触摸滑过导航栏时不滚动.
 */
function setTouchMoved(){
    isMoved = true;
}
/**
 * 展开二级导航，并向上滚动
 */
function ScrollX(ths, tid) {
    //触摸滑过时或触摸了其他li时不展开/折叠
    if(isMoved || ths !== touchLi) {
        isMoved = false;
        /*if(touchLi) {
            touchLi.className = "";
        }*/
        touchLi = null;
        clearLiCss();
        return false;
    }
    
    //DTS2012102201398折叠导航栏时调出添加快链
    var addQK = document.getElementById("addQK");
    if(addQK) {
        addQK.onclick = null;
    }
    //DTS2013080602994 huangzhou 00210503 begin
    var openBM = document.getElementById("openBM");
    if(openBM) {
        openBM.onclick = null;
    }
    var openHt = document.getElementById("openHt");
    if(openHt) {
        openHt.onclick = null;
    }
    //DTS2013080602994 huangzhou 00210503 end
    isChangeColor = false;
    var s = 10;
    var obj = document.getElementById(tid);
    var hh = obj.scrollHeight;
    var h = hh - 2;
    var img = ths.children[2];
    var stas = (obj.getAttribute("stas") == null);
    //改变一级导航后面的三角形样式
    img.className = 'arrow_up';
    //DTS2012101203220 导航分类展开后字体颜色
    ths.className = (stas) ? "li_expand" : "li_up";
    //可视区域高度
    var oh = parseInt(obj.offsetHeight);
    //obj.style.height = oh;
    obj.style.display = "block";
    obj.style.overflow = "hidden";
    if (obj.getAttribute("oldHeight") == null) {
        obj.setAttribute("oldHeight", oh);
    } else {
        var oldH = Math.ceil(obj.getAttribute("oldHeight"));
    }
    var ti = ths.offsetTop;
    var before;
    var count = 0;
    var reSet = function() {
        if (stas) {
            var cc = document.body.scrollTop;
            //向上滚动后，如果出现50次距离没变化，就清除定时器
            //isOpen 是表示执
	    //DTS2013072603061 huangzhou 00210503 begin
            //count++;
            if (cc == before) {
                count++;
                //isOpen = true;
                if (count == 20) {
                    obj.setAttribute("stas", false);//stas:false表示展开完毕
                    window.clearInterval(IntervalId);
                }
            }
            /*else 
                count = 0;*/
	    //DTS2013072603061 huangzhou 00210503 end
            before = cc;

            if (oh < h) {
                //展开操作
                oh = Math.ceil(h - (h - oh) / s);
                obj.style.height = oh + "px";
            } else {
                //向上推动
                if (ti != cc) {
                    var ispeed = (ti - cc) / 2;
                    ispeed = ispeed > 0 ? Math.ceil(ispeed) : Math.floor(ispeed);
                    window.scroll(0, cc + ispeed);
                } else {
                    //isOpen = true;
                    obj.setAttribute("stas", false);
                    window.clearInterval(IntervalId);
                }
            }
        } else {
            obj.style.height = oldH + "px";
            img.className = 'arrow_down';
            //isOpen = false;
            obj.removeAttribute("stas");//无stas属性表示折叠状态
            window.clearInterval(IntervalId);
        }
    };
    var IntervalId = window.setInterval(reSet, 5);
    //释放单击事件,解决当用ontouchstart事件时会点击到其它链接的问题
    document.onclick = function() {
        return false;
    }
    
    touchLi = null;
    cancelClick();
    return stas;
}

/**
 * 恢复整个document的onclick事件，不然会出现单击无效
 */
function cancelClick() {
    var timeId = setTimeout(function(){
        isChangeColor = true;
        //展开完后恢复单击事件
        document.onclick = function(){
            return true;
        };
        //DTS2012102201398恢复添加快链事件
        var addQK = document.getElementById("addQK");
        if(addQK){
            addQK.onclick = addQuicklink;
        }
        //DTS2013080602994 huangzhou 00210503 begin
        var openBM = document.getElementById("openBM");
        if(openBM){
            openBM.onclick = openBookMark;
        }
        var openHt = document.getElementById("openHt");
        if(openHt){
            openHt.onclick = openHistory;
        }
        //DTS2013080602994 huangzhou 00210503 end
        clearLiCss();
        window.clearTimeout(timeId);
    }, 400);
}

function clearLiCss(){
    //清除一级导航的样式遗留
    var nav = document.getElementById("navsection");
    var lis = nav.getElementsByTagName("li");
    for (var i = 0; i < lis.length; i++) {
        lis[i].classList.remove("li_down");//className = "li_up";
    }
}

//向上推动导航
function scrollnav(obj, stime) {
    var ti = obj.offsetTop;
    var intervalId1 = setInterval(function() {
        var cc = document.body.scrollTop;
        if (ti > cc) {
            var ispeed = (ti - cc);
            ispeed = ispeed > 0 ? Math.ceil(ispeed) : Math.floor(ispeed);
            window.scroll(0, cc + ispeed);
        } else {
            clearInterval(intervalId1);
            intervalId1 = null;
        }
    }, stime);
}

window.onload = function() {
	// DTS2012110604446滑动前进后退时点击效果不消失
	window.onbeforeunload = function(){
    	clearLiCss();
	};

    // DTS2012101602819 横竖屏切换后点击效果不消失
    window.addEventListener('orientationchange', clearLiCss, false);
    
    //window.removeEventListener('touchmove', func, false);
    // DTS2012101202759横屏后锁屏再解锁,导航页可以缩放
    window.ontouchmove = function(){ 
        if(window.event && event.touches.length>1) {
            event.cancelBubble = true;//event.stopPropagation();
            event.returnValue = false;//event.preventDefault()
            return false;
        }
    };
    
    /* window.onresize = function (){
    	console.error("resize!!");
    };
    window.onscroll = function (){
    	console.error("onscroll!!");
    }; */
};
